{% extends 'base.html' %}
{% import 'actions.html' as macros %}

{% block header %}
    <div
        class="bg-ellablue-darkest flex h-14 items-center justify-between px-6 text-sm font-medium tracking-wide text-white shadow"
    >
        <img
            src="/static/Maestro_logo_white.svg"
            alt="Maestro logo"
            class="mb-1 ml-1"
            width="100"
        />
        <div class="flex w-4/5 items-center lg:w-3/5 xl:w-2/5">
            <div class="mr-4 flex flex-none space-x-2">
                <div>
                    <input id="toggle-priority-normal" class="peer hidden" type="checkbox" />
                    <label
                        for="toggle-priority-normal"
                        title="(N) Filter by priority: Normal"
                        class="bg-ellablue-darker hover:bg-ellablue peer-checked:bg-ellared peer-checked:border-ellayellow-darker border-ellablue-darkest cursor-pointer select-none rounded-md border px-3 py-1 text-sm font-normal transition-colors duration-150 ease-in-out peer-checked:text-gray-900"
                    >
                        Normal
                    </label>
                </div>
                <div>
                    <input id="toggle-priority-high" class="peer hidden" type="checkbox" />
                    <label
                        for="toggle-priority-high"
                        title="(H) Filter by priority: High"
                        class="bg-ellablue-darker hover:bg-ellablue peer-checked:bg-ellared peer-checked:border-ellayellow-darker border-ellablue-darkest cursor-pointer select-none rounded-md border px-3 py-1 text-sm font-normal transition-colors duration-150 ease-in-out peer-checked:text-gray-900"
                    >
                        High
                    </label>
                </div>
                <div>
                    <input id="toggle-priority-urgent" class="peer hidden" type="checkbox" />
                    <label
                        for="toggle-priority-urgent"
                        title="(U) Filter by priority: Urgent"
                        class="bg-ellablue-darker hover:bg-ellablue peer-checked:bg-ellared peer-checked:border-ellayellow-darker border-ellablue-darkest cursor-pointer select-none rounded-md border px-3 py-1 text-sm font-normal transition-colors duration-150 ease-in-out peer-checked:text-gray-900"
                    >
                        Urgent
                    </label>
                </div>
            </div>
            <input
                id="search"
                class="hover:ring-ellablue-lighter focus:ring-ellayellow-darker mr-3 w-full rounded-md border-0 py-1.5 text-sm font-normal text-black placeholder:italic hover:ring-2 hover:ring-inset focus:ring-2 focus:ring-inset"
                type="search"
                name="search"
                title="(S) Filter by free text. Press `Escape` to clear."
                _="on change from <input[type=checkbox]/> trigger keyup"
                {# Name used as query parameter #}
                placeholder="Filter workflows ..."
            />
            <a
                href="https://dpipe.gitlab.io/labautomation/maestro/use/manual.html"
                target="_blank"
                title="User manual"
            >
                <img src="/static/question_sign.svg" alt="User manual" class="w-10" />
            </a>
        </div>
    </div>
{% endblock %}

{% block count %}
    <div
        hx-get="/content/workflow-count"
        hx-trigger="load, every 5s, keyup from:#search delay:500ms"
        hx-swap="morph:{morphStyle:'innerHTML',callbacks:{beforeNodeMorphed:keepChecked}}"
        hx-vals="js:{search: prepareSearch()}"
    >
        {# Workflow counts go here - include to ensure change listener above is set up correctly #}
        {% set jobs_count = {'all': 0, 'completed': 0, 'running': 0, 'queued': 0, 'pending': 0, 'halted': 0, 'failed': 0, 'cancelled': 0} %}
        {% include 'content_job_count.html' %}
    </div>
    <div
        class="bg-ellablue-lighter mx-6 grid grid-flow-row grid-cols-6 justify-between rounded-t py-2 tracking-wider text-gray-600"
    >
        <section
            id="workflow-header"
            class="col-span-6 grid grid-flow-row grid-cols-6 gap-x-5 font-semibold text-gray-900"
        >
            <div class="col-span-2 pl-6">Workflow</div>
            <div>Priority</div>
            <div>Time</div>
            <div>Status</div>
            <div class="pr-6 text-right">Action</div>
        </section>
    </div>
{% endblock %}

{% block content %}
    <!-- Header -->
    <section
        class="bg-white"
        id="content"
        hx-trigger="load, every 5s [document.getElementsByClassName('workflow-group').length <= 100 && !document.querySelector('div[style*=&quot;visibility: visible&quot;]')], keyup from:#search delay:500ms"
        hx-get="/content/workflows?page=0&per_page=100"
        hx-vals="js:{search: prepareSearch()}"
        hx-swap="morph:{morphStyle:'innerHTML',callbacks:{beforeAttributeUpdated:keepOpen,beforeNodeMorphed:beforeNodeMorphed}}"
        hx-swap-oob="true"
    >
        <!-- Workflows go here -->
    </section>
{% endblock %}

{% block footer %}
    <div id="footer" class="bg-gray-100 py-0.5 text-center text-xs text-gray-500">
        <span>Maestro v</span>
        <span id="version" hx-get="/api/version" hx-trigger="load" class="-ml-0.5 mr-1"></span>
        <span
            hx-get="/api/v1/health/_check"
            hx-trigger="load, every 15s"
            hx-vars=""
            hx-target="#status-container"
            >|</span
        >
        <span id="status-container" class="ml-1"></span>
    </div>
{% endblock %}
```
